from heapq import heappush, heappop, heapify

def find_min_cost(ropes):
    heapify(ropes)
    cost = 0
    while len(ropes) > 1:
        sum = heappop(ropes) + heappop(ropes)
        heappush(ropes, sum)
        cost += sum
    return cost

print(find_min_cost([5, 4, 2, 8]))